Bug 257548 - x11/xeyes: Update to 1.2.0
Summary: x11/xeyes: Update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-02 00:34 UTC by Li-Wen Hsu
Modified: 2021-09-03 10:04 UTC (History)
2 users (show)

See Also:
zeising: maintainer-feedback+


Attachments
x11/xeyes: Update to 1.2.0 (1.38 KB, patch)
2021-08-02 00:34 UTC, Li-Wen Hsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Wen Hsu freebsd_committer 2021-08-02 00:34:40 UTC
Created attachment 226866 [details]
x11/xeyes: Update to 1.2.0
Comment 1 Niclas Zeising freebsd_committer 2021-08-04 09:34:09 UTC
lgtm, approved!
Comment 2 commit-hook freebsd_committer 2021-09-03 10:03:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ce341886ab3f05574f209f1d65af00fd0ccf6bd2

commit ce341886ab3f05574f209f1d65af00fd0ccf6bd2
Author:     Li-Wen Hsu <lwhsu@FreeBSD.org>
AuthorDate: 2021-08-02 00:31:20 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-09-03 10:00:31 +0000

    x11/xeyes: Update to 1.2.0

    Changes:        https://lists.x.org/archives/xorg/2021-August/060750.html
    PR:             257548
    Reviewed by:    jbeich
    Approved by:    zeising

 x11/xeyes/Makefile | 4 ++--
 x11/xeyes/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 3 Jan Beich freebsd_committer 2021-09-03 10:04:31 UTC
Applied minor style (sort USE_* via portfmt) and edited commit message a bit.

(In reply to Li-Wen Hsu from comment #0)
> While here, add missing xorg dependencies.

Not "while" but a byproduct of the update, see configure.ac changes in https://gitlab.freedesktop.org/xorg/app/xeyes/-/compare/xeyes-1.1.2...xeyes-1.2.0

- USE_XORG=xi is required by https://gitlab.freedesktop.org/xorg/app/xeyes/-/commit/420c2d851724
- USE_XORG=xcb is required by https://gitlab.freedesktop.org/xorg/app/xeyes/-/commit/3f2af30bd94e
  can be disabled via --without-present but kinda pointless given libX11 already depends on libxcb

 =>> Checking shared library dependencies
+ 0x0000000000000001 NEEDED               Shared library: [libX11-xcb.so.1]
  0x0000000000000001 NEEDED               Shared library: [libX11.so.6]
  0x0000000000000001 NEEDED               Shared library: [libXext.so.6]
+ 0x0000000000000001 NEEDED               Shared library: [libXi.so.6]
  0x0000000000000001 NEEDED               Shared library: [libXmu.so.6]
  0x0000000000000001 NEEDED               Shared library: [libXrender.so.1]
  0x0000000000000001 NEEDED               Shared library: [libXt.so.6]
  0x0000000000000001 NEEDED               Shared library: [libc.so.7]
  0x0000000000000001 NEEDED               Shared library: [libm.so.5]
  0x0000000000000001 NEEDED               Shared library: [libthr.so.3]
+ 0x0000000000000001 NEEDED               Shared library: [libxcb-damage.so.0]
+ 0x0000000000000001 NEEDED               Shared library: [libxcb-present.so.0]
+ 0x0000000000000001 NEEDED               Shared library: [libxcb-xfixes.so.0]
+ 0x0000000000000001 NEEDED               Shared library: [libxcb.so.1]